summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/fsck-tests/022-qgroup-rescan-halfway/qgroup_rescan_halfway.raw.xzbin0 -> 59360 bytes
-rwxr-xr-xtests/fsck-tests/022-qgroup-rescan-halfway/test.sh19
2 files changed, 19 insertions, 0 deletions
diff --git a/tests/fsck-tests/022-qgroup-rescan-halfway/qgroup_rescan_halfway.raw.xz b/tests/fsck-tests/022-qgroup-rescan-halfway/qgroup_rescan_halfway.raw.xz
new file mode 100644
index 00000000..8cb620f7
--- /dev/null
+++ b/tests/fsck-tests/022-qgroup-rescan-halfway/qgroup_rescan_halfway.raw.xz
Binary files differ
diff --git a/tests/fsck-tests/022-qgroup-rescan-halfway/test.sh b/tests/fsck-tests/022-qgroup-rescan-halfway/test.sh
new file mode 100755
index 00000000..5b114eeb
--- /dev/null
+++ b/tests/fsck-tests/022-qgroup-rescan-halfway/test.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+# check whether btrfsck can detect running qgroup rescan
+
+source $TOP/tests/common
+
+check_prereq btrfs
+
+check_image() {
+ local image
+
+ image=$1
+ run_check_stdout $TOP/btrfs check "$image" 2>&1 | \
+ grep -q "Counts for qgroup id"
+ if [ $? -eq 0 ]; then
+ _fail "Btrfs check doesn't detect rescan correctly"
+ fi
+}
+
+check_all_images "."